> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onsleek.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get transactions

> Fetch all transactions for your organization.



## OpenAPI

````yaml https://api.onsleek.ai/openapi.json get /v1/deals/transactions
openapi: 3.0.0
info:
  version: 1.0.0
  title: Sleek API
  description: API documentation for Sleek's API.
servers:
  - url: https://api.onsleek.ai
security:
  - api-key: []
paths:
  /v1/deals/transactions:
    get:
      tags:
        - Transactions
      summary: Get transactions
      description: Fetch all transactions for your organization.
      parameters:
        - schema:
            type: string
            description: >-
              The ID of the next item that will be fetched. Format: `UUID RFC
              4122`
          required: false
          description: >-
            The ID of the next item that will be fetched. Format: `UUID RFC
            4122`
          name: cursor
          in: query
        - schema:
            type: string
            description: >-
              Filter for transactions that were updated before this date time.
              Format: `ISO 8601`
          required: false
          description: >-
            Filter for transactions that were updated before this date time.
            Format: `ISO 8601`
          name: updatedAtLessThan
          in: query
        - schema:
            type: string
            description: >-
              Filter for transactions that were updated after this date time.
              Format: `ISO 8601`
          required: false
          description: >-
            Filter for transactions that were updated after this date time.
            Format: `ISO 8601`
          name: updatedAtGreaterThan
          in: query
      responses:
        '200':
          description: List of transactions.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: >-
                            The unique identifier for the transaction. Format:
                            `UUID RFC 4122`
                          example: 4812f869-dd9a-48e2-8dae-1658cb4569bf
                        country:
                          type: string
                          description: >-
                            The country where the transaction was made. Format:
                            `ISO 3166-1 alpha-2 code`
                          example: US
                        activatedAt:
                          type: string
                          description: >-
                            The date and time the deal was activated. Format:
                            `ISO 8601`
                          example: '2021-09-01T12:00:00.000Z'
                        clickedAt:
                          type: string
                          nullable: true
                          description: >-
                            The date and time the user clicked on the link.
                            Format: `ISO 8601`
                          example: '2021-09-01T12:00:00.000Z'
                        soldAt:
                          type: string
                          description: >-
                            The date and time the user made the purchase.
                            Format: `ISO 8601`
                          example: '2021-09-01T12:00:00.000Z'
                        updatedAt:
                          type: string
                          description: >-
                            The date and time the transaction was last updated.
                            Format: `ISO 8601`
                          example: '2021-09-01T12:00:00.000Z'
                        currencyCode:
                          type: string
                          description: >-
                            The currency code of the transaction. Format: `ISO
                            4217`
                          example: USD
                        orderValue:
                          type: number
                          description: The total value of the order.
                          example: 112.45
                        cashback:
                          type: number
                          description: The cashback amount.
                          example: 23.14
                        status:
                          type: string
                          enum:
                            - PENDING
                            - DECLINED
                            - CONFIRMED
                          description: The status of the transaction.
                          example: CONFIRMED
                        passbackUid:
                          type: string
                          description: >-
                            The unique identifier that was given during
                            retailer's offer activation.
                          example: your_uid_here
                        passbackData:
                          type: string
                          description: >-
                            The data field that was given during retailer's
                            offer activation.
                          example: your_data_here
                        cashbackOfferId:
                          type: string
                          description: >-
                            If the transaction occurred as a result of a
                            cashback offer activation, this field is set to the
                            `id` of the cashback offer.
                          example: 10c39198-ce3f-45ea-a7ae-fab4a2ba936a
                        couponId:
                          type: string
                          description: >-
                            If the transaction occurred as a result of a coupon
                            activation, this field is set to the `id` of the
                            coupon.
                          example: ad2b56ad-3f14-4587-9d2d-88612479e30f
                        promotionId:
                          type: string
                          description: >-
                            If the transaction occurred as a result of a
                            promotion activation, this field is set to the `id`
                            of the promotion.
                          example: efe308d6-63c7-472e-ac8d-5f722322052b
                        retailerId:
                          type: string
                          nullable: true
                          description: >-
                            The unique identifier of the retailer. Format: `UUID
                            RFC 4122`
                          example: b1a2c3d4-e5f6-7g8h-9i0j-k1l2m3n4o5p6
                        retailerName:
                          type: string
                          nullable: true
                          description: The name of the retailer.
                          example: Retailer Name
                        retailerLogo:
                          type: string
                          nullable: true
                          description: The URL of the retailer's logo.
                          example: https://example.com/logo.png
                        payoutId:
                          type: number
                          nullable: true
                          description: >-
                            The unique identifier of the payout associated with
                            this transaction. Format: `INTEGER`
                          example: 12345
                      required:
                        - id
                        - country
                        - activatedAt
                        - clickedAt
                        - soldAt
                        - updatedAt
                        - currencyCode
                        - orderValue
                        - cashback
                        - status
                        - passbackUid
                        - retailerId
                        - retailerName
                        - retailerLogo
                        - payoutId
                  cursor:
                    type: string
                    description: >-
                      The ID of the next item in the list. Defined if there are
                      more items to fetch. Pass this as the `cursor` query
                      parameter to fetch the next page. Format: `UUID RFC 4122`
                required:
                  - data
      security:
        - api-key: []
components:
  securitySchemes:
    api-key:
      type: http
      scheme: bearer
      description: API key for accessing the Sleek API.

````